Package uk.ac.starlink.topcat.activate

## Enum HipsSurvey.ObsRegime

- java.lang.Object
- - java.lang.Enum<HipsSurvey.ObsRegime>
  - - uk.ac.starlink.topcat.activate.HipsSurvey.ObsRegime

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<HipsSurvey.ObsRegime>`
  Enclosing class:
    HipsSurvey

      public static enum HipsSurvey.ObsRegime
      extends java.lang.Enum<HipsSurvey.ObsRegime>

  Known obs_regime values. The toString values of these items are as documented under the "obs_regime" keyword in the HiPS specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EUV` |
    `GAMMA_RAY` |
    `INFRARED` |
    `MILLIMETER` |
    `OPTICAL` |
    `RADIO` |
    `UV` |
    `X_RAY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HipsSurvey.ObsRegime` | `fromName​(java.lang.String txt)` | Returns the ObsRegime instance corresponding exactly to a given string.
    `java.lang.String` | `toString()` |
    `static HipsSurvey.ObsRegime` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static HipsSurvey.ObsRegime[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RADIO

          public static final HipsSurvey.ObsRegime RADIO

    - #### MILLIMETER

          public static final HipsSurvey.ObsRegime MILLIMETER

    - #### INFRARED

          public static final HipsSurvey.ObsRegime INFRARED

    - #### OPTICAL

          public static final HipsSurvey.ObsRegime OPTICAL

    - #### UV

          public static final HipsSurvey.ObsRegime UV

    - #### EUV

          public static final HipsSurvey.ObsRegime EUV

    - #### X_RAY

          public static final HipsSurvey.ObsRegime X_RAY

    - #### GAMMA_RAY

          public static final HipsSurvey.ObsRegime GAMMA_RAY

  - ### Method Detail

    - #### values

          public static HipsSurvey.ObsRegime[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HipsSurvey.ObsRegime c : HipsSurvey.ObsRegime.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HipsSurvey.ObsRegime valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<HipsSurvey.ObsRegime>`

    - #### fromName

          public static HipsSurvey.ObsRegime fromName​(java.lang.String txt)

      Returns the ObsRegime instance corresponding exactly to a given string. This string is as specified in the HiPS specification.
      Parameters:
        `txt` - regime name
      Returns:
        regime, or null